# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "cloakpipe-core"
version = "0.8.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Core detection, pseudonymization, and rehydration engine for CloakPipe"
readme = false
license = "MIT"
repository = "https://github.com/rohansx/cloakpipe"

[features]
default = []
ner = [
    "dep:ort",
    "dep:tokenizers",
]

[lib]
name = "cloakpipe_core"
path = "src/lib.rs"

[[example]]
name = "pii_benchmark"
path = "examples/pii_benchmark.rs"

[[test]]
name = "integration"
path = "tests/integration.rs"

[dependencies.aes-gcm]
version = "0.10"

[dependencies.anyhow]
version = "1"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.ort]
version = "2.0.0-rc.12"
optional = true

[dependencies.rand]
version = "0.8"

[dependencies.regex]
version = "1"

[dependencies.rusqlite]
version = "0.32"
features = ["bundled"]

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.strsim]
version = "0.11"

[dependencies.thiserror]
version = "2"

[dependencies.tokenizers]
version = "0.21"
features = ["onig"]
optional = true
default-features = false

[dependencies.toml]
version = "0.8"

[dependencies.tracing]
version = "0.1"

[dependencies.uuid]
version = "1"
features = ["v4"]

[dependencies.zeroize]
version = "1"
features = ["derive"]

[dev-dependencies.tempfile]
version = "3"
